# New-RASAVDResourceGroup

### NAME

New-RASAVDResourceGroup\ <br>

### SYNOPSIS

The cmdlet creates a new object of type Azure Virtual Desktop Resource Group.\ <br>

### SYNTAX

New-RASAVDResourceGroup -[Location](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDResourceGroup.html#Location) *\<string>* -[Name](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDResourceGroup.html#Name) *\<string>* -[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDResourceGroup.html#ProviderId) *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASAVDResourceGroup.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

The cmdlet creates a new object of type Azure Virtual Desktop Resource Group.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**ProviderId \<uint>**\
Provider ID from which to save the Azure Virtual Desktop Resource Group information.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Name \<string>**\
The Name of the Azure Virtual Desktop Resource Group.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Location \<string>**\
The Location Name of the Azure Virtual Desktop Resource Group.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDResourceGroup\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDResourceGroup\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
New-RASAVDResourceGroup -ProviderId 2 -Name "My-Resource-Group" -Location "westeurope"\
\
Creates a new object of type Azure Virtual Desktop Resource Groups within the Licensing Server site.\
\
To create the Azure Virtual Desktop Workspace within a specific site, specify the -SiteId parameter.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasavdresourcegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
